Bug 146704 - CAN-2005-0100 Arbitrary code execution in *emacs*
Summary: CAN-2005-0100 Arbitrary code execution in *emacs*
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: xemacs   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Jay Turner
URL:
Whiteboard: impact=important,public=20050210
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-31 21:18 UTC by Josh Bressers
Modified: 2015-01-08 00:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 17:08:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for this issue. (1.22 KB, patch)
2005-01-31 21:18 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:134 normal SHIPPED_LIVE Important: xemacs security update 2005-02-10 05:00:00 UTC

Description Josh Bressers 2005-01-31 21:18:50 UTC
Max Vozeler discovered several format string vulnerabilities in the
movemail utility of Emacs, the well-known editor.  Via connecting to a
malicious POP server an attacker can execute arbitrary code under the
privileges of group mail (or worse, depending on the permissions of
the movemail binary).

Comment 1 Josh Bressers 2005-01-31 21:18:50 UTC
Created attachment 110461 [details]
Proposed patch for this issue.

Comment 2 Josh Bressers 2005-01-31 21:20:42 UTC
This issue should also affects RHEL2.1.

Comment 5 Mark J. Cox 2005-02-07 09:19:17 UTC
removing embargo
http://list-archive.xemacs.org/xemacs-announce/200502/msg00001.html

Comment 6 Josh Bressers 2005-02-10 17:08:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-134.html



Note You need to log in before you can comment on or make changes to this bug.